#pragma once
class myImage;
class myModel;
class myLight;

class myLevel
{
public:
	myLevel(void);
	~myLevel(void);

	typedef enum {
		MYMT_MOVEUP,
		MYMT_MOVEDOWN,
		MYMT_ROTATELEFTRIGHT,
		MYMT_TILTUPDOWN,
		MYMT_MOVELEFTRIGHT
	} myMessageType;

	bool load();
	void update();
	void clean();

	void handleMessage(myMessageType type, void* data);

	static myLevel* getCurrent();
	static void setCurrent(myLevel* newLevel);

private:
	myImage*		m_testImage;
	myModel*		m_model;
	int				m_tix,m_tiy;
	myLight*		m_light;

	static myLevel* m_current;
};
